> ## Documentation Index
> Fetch the complete documentation index at: https://omnicron.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Song Recognition

> Identify any song using the Shazam algorithm.

### Request Body

<ParamField body="file" type="file">
  audio snippet
</ParamField>

### Response

<ResponseField name="song_name" type="string">
  Name of the song recognized.
</ResponseField>

<ResponseField name="shazam_url" type="string">
  Url to the song on shazam
</ResponseField>

<ResponseField name="song_image" type="string">
  Song cover image
</ResponseField>

<ResponseExample>
  ```json response theme={null}
  {
    "song_name": "Vanilla - Burna Boy",
    "shazam_url": "https://www.shazam.com/track/615511673/vanilla",
    "song_image": "https://is1-ssl.mzstatic.com/image/thumb/Music112/v4/34/42/db/3442dbd6-644f-a111-8344-0151ffb93313/075679745156.jpg/400x400cc.jpg"
  }
  ```
</ResponseExample>
